"""
Provides functions related to playing sounds.
"""

import os

import simpleaudio as sa


SOUNDS_DIR = os.path.join(os.path.dirname(__file__), "sounds")
""" Contains the absolute path to the sounds directory. """

PLOP_WAVE = sa.WaveObject.from_wave_file(os.path.join(SOUNDS_DIR, "plop.wav"))
""" SimpleAudio WaveObject containing the plop sound. """

UNDO_WAVE = sa.WaveObject.from_wave_file(os.path.join(SOUNDS_DIR, "undo.wav"))
""" SimpleAudio WaveObject containing the undo sound. """
