"""Create consumptions, consumption_types, settlements

Revision ID: de101d627237
Revises: a09086bfe84c
Create Date: 2018-08-21 12:06:29.135898

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "de101d627237"
down_revision = "a09086bfe84c"
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "consumption_types",
        sa.Column("consumption_type_id", sa.Integer, nullable=False, primary_key=True),
        sa.Column("name", sa.String, nullable=False),
        sa.Column("icon", sa.String, nullable=True),
    )

    op.create_table(
        "settlements",
        sa.Column("settlement_id", sa.Integer, primary_key=True),
        sa.Column("name", sa.String, nullable=False),
    )

    op.create_table(
        "consumptions",
        sa.Column("consumption_id", sa.Integer, primary_key=True),
        sa.Column("person_id", sa.Integer, nullable=True),
        sa.Column("consumption_type_id", sa.Integer, nullable=False),
        sa.Column("created_at", sa.DateTime, nullable=False),
        sa.Column("settlement_id", sa.Integer, nullable=True),
        sa.Column("reversed", sa.Boolean, nullable=False, server_default="FALSE"),
        sa.ForeignKeyConstraint(
            ["consumption_type_id"], ["consumption_types.consumption_type_id"]
        ),
        sa.ForeignKeyConstraint(["person_id"], ["people.person_id"]),
        sa.ForeignKeyConstraint(["settlement_id"], ["settlements.settlement_id"]),
        sa.PrimaryKeyConstraint("consumption_id"),
    )


def downgrade():
    op.drop_table("consumptions")
    op.drop_table("settlements")
    op.drop_table("consumption_types")
