from setuptools import setup

setup(
    name="piket",
    version="0.1.0",
    classifiers=[
        "Development Status :: 4 - Beta",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3"
        "Programming Language :: Python :: 3 :: Only",
    ],
    url="https://git.maartenberg.nl/maarten/piket",
    author="Maarten van den Berg",
    author_email="maartenberg1+pypi@gmail.com",
    license="MIT",
    packages=["piket_client", "piket_server"],
    scripts=["bin/piket-server", "bin/piket-server-dev", "bin/piket-manage-people"],
    entry_points={
        "console_scripts": [
            "piket-client=piket_client.gui:main",
            "piket-seed=piket_server.seed:main",
        ]
    },
    install_requires=[],
    extras_require={
        "dev": ["black", "pylint"],
        "server": ["Flask", "SQLAlchemy", "Flask-SQLAlchemy", "alembic", "uwsgi"],
        "client": ["PySide2", "qdarkstyle>=2.6.0", "requests", "simpleaudio"],
        "osk": ["dbus-python"],
        "sentry": ["raven"],
    },
    include_package_data=True,
    zip_safe=False,
)
